#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA9,0xED,0x83,0x9B,0x52,0xC1,0xE4,0x95,0x6D,0xEF,0x11,0x19,
		0x19,0xB7,0x91,0x0C,0x95,0x45,0x64,0x73,0x5A,0x4D,0xE8,0x7D,
		0x67,0xAC,0xA2,0x74,0x00,0x2D,0x92,0xDF,0x64,0x14,0x0C,0xF6,
		0x5F,0x26,0x4C,0x82,0x8F,0xE9,0x22,0xC3,0x75,0xCD,0x67,0x0F,
		0x86,0x15,0x3F,0x88,0xA6,0xD9,0xC1,0xAB,0x86,0xA7,0xDB,0xD6,
		0x79,0x32,0x60,0xFB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
